## org.apache.commons.collections.set
Class AbstractSerializableSetDecorator

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.set.AbstractSetDecorator
              org.apache.commons.collections.set.AbstractSerializableSetDecorator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.Set

Direct Known Subclasses:
  ListOrderedSet, UnmodifiableSet

    public abstract class AbstractSerializableSetDecorator

extends AbstractSetDecorator
implements java.io.Serializable

Serializable subclass of AbstractSetDecorator.

Since:
  Commons Collections 3.1
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `AbstractSerializableSetDecorator(java.util.Set set)` Constructor.

Method Summary

Methods inherited from class org.apache.commons.collections.set.AbstractSetDecorator
`getSet`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`add, addAll, clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### AbstractSerializableSetDecorator

    protected AbstractSerializableSetDecorator(java.util.Set set)

  Constructor.

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.